Saltar al contenido principal
DELETE
/
v1
/
objects
Blob Delete Objects
curl --request DELETE \
  --url https://blob.squarecloud.app/v1/objects \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object": "<string>"
}
'
import requests

url = "https://blob.squarecloud.app/v1/objects"

payload = { "object": "<string>" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({object: '<string>'})
};

fetch('https://blob.squarecloud.app/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
Authorization
string
requerido
La clave de API de tu cuenta. Puedes encontrarla en la configuración de tu cuenta.
object
string
requerido
El nombre del objeto a eliminar. El nombre del objeto debe cumplir con el siguiente patrón: a to z, A to Z, 0 to 9, and _.
{ "object": "ID/prefix/name1_ltq7b2sw-de6241.jpeg" }

Respuesta

status
string
Indica si la llamada fue exitosa. “success” si fue exitosa, “error” si no.
{
  "status": "success"
}

Solución de problemas

Relacionado con el objeto

// The request body is missing or is not a valid JSON object.
{
    "status": "error",
    "code": "INVALID_BODY"
}
// The provided object name is invalid.
{
    "status": "error",
    "code": "INVALID_OBJECT"
}
// The request to delete the objects failed. Please try again.
{
    "status": "error",
    "code": "FAILED_DELETE"
}